%define upstream_name    Net-Arping
%define upstream_version 0.02

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 29

Summary:	Net-Arping module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		perl-Net-Arping-0.02-overflow.patch
Patch1:		perl-Net-Arping-0.02-ether_addr.patch
BuildRequires:	libnet1.0.2-devel
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel


%description
The module contains function for testing remote host reachability
by sending ARP packets. The program must be run as root or be
setuid.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch0 -p0
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}" CFLAGS="%{optflags}"
# got root?
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Wed Nov 29 2023 tv <tv> 0.20.0-29.mga10
+ Revision: 2011260
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.20.0-25.mga9
+ Revision: 1862191
- Rebuild for Perl 5.36

* Tue Mar 29 2022 umeabot <umeabot> 0.20.0-24.mga9
+ Revision: 1831566
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.20.0-23.mga9
+ Revision: 1726911
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.20.0-22.mga8
+ Revision: 1594937
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.20.0-21.mga8
+ Revision: 1529861
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.20.0-20.mga8
+ Revision: 1433844
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.20.0-19.mga7
+ Revision: 1293535
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.20.0-18.mga7
+ Revision: 1249251
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.20.0-17.mga7
+ Revision: 1165835
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.20.0-16.mga7
+ Revision: 1149859
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.20.0-15.mga7
+ Revision: 1126778
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-14.mga6
+ Revision: 1030949
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.20.0-13.mga6
+ Revision: 957779
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.20.0-12.mga6
+ Revision: 845041
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.20.0-11.mga6
+ Revision: 842500
- Rebuild for perl 5.22

* Sun Dec 14 2014 pterjan <pterjan> 0.20.0-10.mga5
+ Revision: 803172
- Fix build
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.20.0-7.mga5
+ Revision: 631455
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-6.mga4
+ Revision: 524963
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.20.0-5.mga4
+ Revision: 431668
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-4.mga3
+ Revision: 370500
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-3.mga3
+ Revision: 250973
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.20.0-2.mga2
+ Revision: 104804
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 30875
- mageia rebuild
- imported package perl-Net-Arping

